; ========================================================================== ;
; FPP entry point                                                            ;
; ========================================================================== ;

FPP         = $4087

; ========================================================================== ;
; FPP operations                                                             ;
; ========================================================================== ;

FPP_AND     =  0 ; AND
FPP_IDIV    =  1 ; DIV
FPP_EOR     =  2 ; EOR
FPP_MOD     =  3 ; MOD
FPP_OR      =  4 ; OR
FPP_LTEQ    =  5 ; <=
FPP_INEQ    =  6 ; <>
FPP_GTEQ    =  7 ; >=
FPP_LT      =  8 ; <
FPP_EQ      =  9 ; =
FPP_MUL     = 10 ; *
FPP_ADD     = 11 ; +
FPP_GT      = 12 ; >
FPP_SUB     = 13 ; -
FPP_POW     = 14 ; ^
FPP_FDIV    = 15 ; /
FPP_ABS     = 16 ; ABS
FPP_ACS     = 17 ; ACS
FPP_ASN     = 18 ; ASN
FPP_ATN     = 19 ; ATN
FPP_COS     = 20 ; COS
FPP_DEG     = 21 ; DEG
FPP_EXP     = 22 ; EXP
FPP_INT     = 23 ; INT (floor)
FPP_LN      = 24 ; LN
FPP_LOG     = 25 ; LOG
FPP_NOT     = 26 ; NOT
FPP_RAD     = 27 ; RAD
FPP_SGN     = 28 ; SGN
FPP_SIN     = 29 ; SIN
FPP_SQR     = 30 ; SQR
FPP_TAN     = 31 ; TAN
FPP_ZERO    = 32 ; 0/FALSE
FPP_FONE    = 33 ; +1
FPP_TRUE    = 34 ; TRUE/-1
FPP_PI      = 35 ; PI
FPP_VAL     = 36 ; VAL
FPP_STR$    = 37 ; STR$
FPP_FIX     = 38 ; FIX (truncate)
FPP_FLOAT   = 39 ; FLOAT
FPP_TEST    = 40 ; TEST
FPP_COMPARE = 41 ; COMPARE

ERR_BAD_OPERATION  =  1 ; Bad operation
ERR_MISSING_LPAREN = 14 ; Missing (
ERR_SYNTAX         = 16 ; Syntax error
ERR_DIV_BY_ZERO    = 18 ; Division by zero
ERR_TOO_BIG        = 20 ; Too big
ERR_NEGATIVE_ROOT  = 21 ; -ve root
ERR_LOG_RANGE      = 22 ; Log range
ERR_ACCURACY_LOST  = 23 ; Accuracy lost
ERR_EXP_RANGE      = 24 ; Exp range
ERR_MISSING_RPAREN = 27 ; Missing )